--- title: "Update the CLI Auditing Configuration at Domain Level" slug: "update-the-cli-auditing-configuration-at-domain-level-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/update-the-cli-auditing-configuration-at-domain-level-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the CLI Auditing Configuration at Domain Level This URL updates the CLI auditing configuration at domain level. ### Resource URL PUT /domain//cliauditing ### Request Parameters URL Parameter | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domainId` | Domain id | Number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `inheritSettings` | Inherit settings from parent domain | Boolean | Yes | | `enable` | Enable CLI auditing | Boolean | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | ### Example **Request** PUT [https:///sdkapi/domain/0/cliauditing](https://<NSM_IP>/sdkapi/%20domain/0/dxlintegration) **Payload** ``` {        "inheritSettings": false,        "enable": true    } ``` **Response** ``` { "status": 1 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain | | 2 | 400 | 3101 | Cannot inherit settings for root domain | | 3 | 500 | 1001 | Internal server error |